<?php
include "common/functions.php";
if(isset($_GET['w']) && ($_GET['w']!=""))
{
$url = sdecrypt($_GET['w']);
if(valid_url("http://" . $url))
{
force_update_stats($url);
header('Location: ' . $_SERVER['HTTP_REFERER']);
}
else
{
header('Location: ' . rootpath());
}
}